Name:           python-daemon
Version:        2.1.2
Release:        %mkrel 1
Summary:        Library to implement a well-behaved Unix daemon process
Group:          Development/Python
License:        Apache Software License and GPLv3+
URL:            http://pypi.python.org/pypi/python-daemon
Source0:        http://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(nose)
BuildRequires:  pythonegg(2)(lockfile)
BuildRequires:  pythonegg(2)(minimock)
BuildRequires:  pythonegg(2)(docutils)

%description
This library implements the well-behaved daemon specification of
PEP 3143, "Standard daemon process library".

%package -n     python3-daemon
Summary:        Library to implement a well-behaved Unix daemon process
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(nose)
BuildRequires:  pythonegg(3)(lockfile)
BuildRequires:  pythonegg(3)(minimock)
BuildRequires:  pythonegg(3)(docutils)

%description -n python3-daemon
This library implements the well-behaved daemon specification of
PEP 3143, "Standard daemon process library".

%prep
%setup -q

cp -a . %{py3dir}

find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%files
%doc ChangeLog LICENSE.GPL-3 LICENSE.ASF-2 doc/*
%{python2_sitelib}/daemon/
%{python2_sitelib}/python_daemon-%{version}-py%{python2_version}.egg-info/

%files -n python3-daemon
%doc ChangeLog LICENSE.GPL-3 LICENSE.ASF-2 doc/*
%{python3_sitelib}/daemon/
%{python3_sitelib}/python_daemon-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Jan 03 2017 daviddavid <daviddavid> 2.1.2-1.mga6
+ Revision: 1079838
- new version: 2.1.2

* Sun Jan 31 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 929330
- new version: 2.1.1

* Fri Nov 27 2015 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 906447
- new version: 2.1.0

* Fri Oct 09 2015 daviddavid <daviddavid> 2.0.6-1.mga6
+ Revision: 888007
- new version: 2.0.6
- fix License
- add BuildRequires python(3)-docutils
- update file list

* Fri Oct 09 2015 daviddavid <daviddavid> 1.6-10.mga6
+ Revision: 888003
- make it noarch thus fixing empty debuginfo
- use new python macros

  + tv <tv>
    - rebuild for python 3.5

* Mon Jan 05 2015 joequant <joequant> 1.6-9.mga5
+ Revision: 808674
- add python3 package

* Wed Oct 15 2014 umeabot <umeabot> 1.6-7.mga5
+ Revision: 748681
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6-6.mga5
+ Revision: 728224
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6-5.mga5
+ Revision: 687958
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.6-3.mga4
+ Revision: 543079
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6-2.mga4
+ Revision: 498353
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Feb 22 2013 kharec <kharec> 1.6-1.mga3
+ Revision: 399908
- imported package python-daemon

